#
# Conditional build:
%bcond_with	doc	# Sphinx documentation (some files missing in sdist)

Summary:	Add a copy button to each of your code cells
Summary(pl.UTF-8):	Dodanie przycisku do kopiowania do każdej komórki z kodem
Name:		python3-sphinx_copybutton
Version:	0.5.2
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx-copybutton/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx-copybutton/sphinx-copybutton-%{version}.tar.gz
# Source0-md5:	dea6f565084ba8046512b18312fb5471
URL:		https://pypi.org/project/sphinx-copybutton/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-ipython
BuildRequires:	python3-myst_nb
BuildRequires:	python3-sphinx_book_theme
BuildRequires:	sphinx-pdg-3 >= 1.8
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small Sphinx extension to add a "copy" button to code blocks.

%description -l pl.UTF-8
Małe rozszerzenie Sphinksa dodające przycisk kopiujący do fragmentów
kodu.

%prep
%setup -q -n sphinx-copybutton-%{version}

%build
%py3_build

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/sphinx_copybutton
%{py3_sitescriptdir}/sphinx_copybutton-%{version}-py*.egg-info
%changelog
* Thu Sep 12 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx_copybutton.git;a=log;h=master

* Thu Sep 12 2024 Jakub Bogusz <qboosh@pld-linux.org> 0c15cc3
- updated to 0.5.2

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> bbc9241
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1ecf2d9
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> aa15c91
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0ba7ac0
- rebuild with python 3.10

* Sun Mar 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 02fe357
- python-sphinx_copybutton.spec updated to 0.5.0 for python 3.6+

* Sun Mar 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 4152d11
- new

